<table width="100%">
	<tr>
		<td style="width: 100%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head">Node Information for Nodes in Domain <?php echo $do->DOMAIN_NAME; ?></td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>
						<table width="100%">
							<tr>
								<td>Node</td>
								<td>Version</td>
								<td>Last Access</td>
								<td>Last IP Addr</td>
								<?php foreach (Kohana::config('config.tsmpooltypes') as $type) { ?>
								<td colspan="3" class="right"><?php echo $type; ?>(Vol/Fil/Dat)</td>
								<?php } ?>
							</tr>
							<?php $i=0; foreach ($do->NODE->find_all() as $no) { ?>
							<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
								<td class="data"><?php echo HTML::anchor('node/detail/'.$no->NODE_NAME,$no->NODE_NAME); ?></td>
								<td class="data"><?php echo $no->tsmclientversion(); ?></td>
								<td class="data"><?php echo $no->display('LASTACC_TIME'); ?></td>
								<td class="data"><?php echo $no->display('TCP_ADDRESS'); ?></td>
								<?php foreach (Kohana::config('config.tsmpooltypes') as $type) { ?>
								<td class="data-right"><?php echo count($no->getStorageTypeVols($type)); ?></td>
								<td class="data-right"><?php echo $no->getStorageTypeFiles($type); ?></td>
								<td class="data-right"><?php echo $no->getStorageTypeData($type); ?></td>
								<?php } ?>
							</tr>
							<?php } ?>
						</table>
					</td>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td class="head">Storage Pools used by nodes in this domain</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>
						<table width="50%" class="box-left">
							<tr>
								<td colspan="3">Storage Pool</td>
								<td class="right">Vols</td>
								<td class="right">Files</td>
								<td class="right">MB</td>
							</tr>
							<?php foreach (Kohana::config('config.tsmdatatypes') as $btype => $ctype) { ?>
							<tr class="subhead">
								<td colspan="6"><?php echo $btype; ?></td>
							</tr>
							<?php foreach (Kohana::config('config.tsmpooltypes') as $type) { ?>
							<tr class="subhead">
								<td>&nbsp;</td>
								<td colspan="5"><?php echo $type; ?></td>
							</tr>
							<?php $i=0; foreach ($do->getStoragePoolsType($btype,$type) as $spo) { ?>
							<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
								<td colspan="2">&nbsp;</td>
								<td class="data"><?php echo $spo->STGPOOL_NAME; ?></td>
								<td class="data-right"><?php echo count($do->getStorageModeVols($ctype,$type,$spo)); ?></td>
								<td class="data-right"><?php echo $do->getStorageModeFiles($btype,$type,$spo); ?></td>
								<td class="data-right"><?php echo $do->getStorageModeData($btype,$type,$spo); ?></td>
							</tr>
							<?php } ?>
							<?php } ?>
							<?php } ?>
						</table>
					</td>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td class="head" colspan="2">Sequential Volumes needed to restore Data for Nodes in this domain</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td class="head" colspan="2">Policy in this domain</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td class="head" colspan="2">Schedules used in this domain</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
